package com.shcd.boat.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 类名:@Name - PointInfoEntity
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/8 14:45
 * 作者:@Created by zrj
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointInfoEntity {

    private String id;

    //点位
    private String point;

    //当前点位时间
    private Date currentPointTime;

    //船舶中文名称
    private String boatName;

    //船舶mmsi
    private String mmsi;

    //船舶长度
    private String boatLength;

    //船舶长度
    private String boatWidth;

    //吃水
    private String eatWater;

    //方向
    private String direction;

    //行驶速度
    private String speed;

}
