package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 类名:@Name - ShorePowerFile
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/3/19 14:23
 * 作者:@Created by zrj
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="ShorePowerFile对象", description="岸电附件表")
public class ShorePowerFile implements Serializable {

    private static final long serialVersionUID = 1L;

//    @ApiModelProperty(value = "岸电附件id")
    @TableId(value = "shore_power_file_id", type = IdType.ASSIGN_ID)
    private String shorePowerFileId;

//    @ApiModelProperty(value = "岸电id")
    private String shorePowerId;

//    @ApiModelProperty(value = "附件类别")
    private String type;

//    @ApiModelProperty(value = "文件名")
    private String fileName;

//    @ApiModelProperty(value = "文件路径")
    private String filePath;

//    @ApiModelProperty(value = "创建时间")
    private Date createTime;

//    @ApiModelProperty(value = "创建者")
    private String createBy;

//    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

//    @ApiModelProperty(value = "修改者")
    private String updateBy;

//    @ApiModelProperty(value = "文件id")
    private String fileId;

//    @ApiModelProperty(value = "删除标志（0代表存在 2代表删除）")
    private String delFlag;

//    @ApiModelProperty(value = "进港是否抓拍状态(0：未抓拍；1：已抓拍)")
    private String inImageStatus;

//    @ApiModelProperty(value = "出港是否抓拍状态(0：未抓拍；1：已抓拍)")
    private String outImageStatus;

//    @ApiModelProperty(value = "进港二进制数据流")
    private byte[] inImageData;

//    @ApiModelProperty(value = "出港二进制数据流")
    private byte[] outImageData;

//    @ApiModelProperty(value = "监控视频编号")
    private String cameraIndexCode;
}
