package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 类名:@Name - HaikangSpace
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/3/19 9:57
 * 作者:@Created by zrj
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="HaikangSpace对象", description="")
public class HaikangSpace implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    private String name;

    private String pointGeom;

    private String createBy;

    private Date createTime;

    private Date updateTime;

    private String updateBy;

    private String delFlag;

    @TableField(exist = false)
//    @ApiModelProperty(value = "坐标系")
    private Integer spaceCoordinates;


}
