package com.shcd.boat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 类名:@Name - ShoreLinePointsSpace
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/20 14:55
 */
@Data
@EqualsAndHashCode(callSuper = false)
//@ApiModel(value="ShoreLinePointsSpace对象", description="")
@TableName(value ="pdhw_space.shore_line_points_space")
public class ShoreLinePointsSpace implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    private List<String> lineGeom;

    private BigDecimal useLength;

    private BigDecimal mtqykzsh;

    private BigDecimal mtqyzdsh;

    private BigDecimal isDelete;

    private Date cDate;

    private String cUser;

    private Date uDate;

    private String uUser;

    private String code;

    @TableField(exist = false)
//    @ApiModelProperty(value = "坐标系")
    private Integer spaceCoordinates;
}
