package com.shcd.boat.entity.sms;

public class MASSMSResponse {

    //消息批次号，由云MAS平台生成，用于关联短信发送请求与状态报告，注：若数据验证不通过，该参数值为空。
    private String msgGroup;
    /** 响应状态 说明:
        IllegalMac	mac校验不通过。
        IllegalSignId	无效的签名编码。
        InvalidMessage	非法消息，请求数据解析失败。
        InvalidUsrOrPwd	非法用户名/密码。
        NoSignId	未匹配到对应的签名信息。
        success	数据验证通过。
        TooManyMobiles	手机号数量超限（>5000），应≤5000。*/
    private String rspcod;
    //数据校验结果
    private boolean success;

    public String getMsgGroup() {
        return msgGroup;
    }

    public void setMsgGroup(String msgGroup) {
        this.msgGroup = msgGroup;
    }

    public String getRspcod() {
        return rspcod;
    }

    public void setRspcod(String rspcod) {
        this.rspcod = rspcod;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }
}
