package com.shcd.boat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shcd.boat.entity.ShipSealOffPoints;
import com.shcd.boat.entity.gh.GHAisInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author shcd
 * @since 2025-01-14
 */
@Mapper
public interface ShipSealOffPointsMapper extends BaseMapper<ShipSealOffPoints> {

    void saveAll(@Param("inAllData") List<ShipSealOffPoints> inAll,@Param("spaceCoordinates") Integer spaceCoordinates);

    void saveZyAll(@Param("inAllData")List<ShipSealOffPoints> inAll, @Param("spaceCoordinates") Integer spaceCoordinates);

    List<ShipSealOffPoints> getPointsBySource();
}
