package com.shcd.boat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shcd.boat.entity.AisShoreLine;
import com.shcd.boat.entity.HkShoreLine;
import com.shcd.boat.entity.ShoreLinePointsSpace;
import com.shcd.boat.entity.gh.GHAisInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 类名:@Name - ShoreLinePointsSpaceMapper
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/20 14:58
 */
@Mapper
public interface ShoreLinePointsSpaceMapper extends BaseMapper<ShoreLinePointsSpace> {
    List<AisShoreLine> analysisAisPoint();

    void removeByMMsi(String mmsi);

    List<HkShoreLine> analysisHkPoint();

}
