package com.shcd.boat.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shcd.boat.entity.ObjCargoDeclare;
import com.shcd.boat.entity.ObjCargoDeclareVo;
import com.shcd.boat.mapper.ObjCargoDeclareMapper;
import com.shcd.boat.service.IObjCargoDeclareService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 类名:@Name - ObjCargoDeclareServiceImpl
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/2/19 15:55
 */
@Service
@Slf4j
public class ObjCargoDeclareServiceImpl extends ServiceImpl<ObjCargoDeclareMapper, ObjCargoDeclare> implements IObjCargoDeclareService {
    @Autowired
    private ObjCargoDeclareMapper objCargoDeclareMapper;
    @Override
    public ObjCargoDeclare getObjCargoDeclare(String mmsi) {
        return objCargoDeclareMapper.getObjCargoDeclare(mmsi);
    }

    @Override
    public List<ObjCargoDeclareVo> getObjCargoDeclareList() {
        return objCargoDeclareMapper.getObjCargoDeclareList();
    }
}
