package com.shcd.boat.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shcd.boat.entity.SurveillancePointinfo;
import com.shcd.boat.mapper.SurveillancePointinfoMapper;
import com.shcd.boat.service.ISurveillancePointinfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * 类名:@Name - SurveillancePointinfoServiceImpl
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/3/19 9:45
 * 作者:@Created by zrj
 */
@Service
@Slf4j
public class SurveillancePointinfoServiceImpl extends ServiceImpl<SurveillancePointinfoMapper, SurveillancePointinfo> implements ISurveillancePointinfoService {
    @Autowired
    private SurveillancePointinfoMapper surveillancePointinfoMapper;

    @Override
    public List<SurveillancePointinfo> getSurveillancePointinfoByXyids(List<String> xyIds) {
        if (!CollectionUtils.isEmpty(xyIds)){
            return surveillancePointinfoMapper.getSurveillancePointinfoByXyids(xyIds);
        }
        return null;
    }
}
