package com.shcd.boat;

import com.alibaba.fastjson.JSON;
import com.shcd.boat.config.RedisCache;
import com.shcd.boat.config.SnowConfig;
import com.shcd.boat.entity.BoatInfoEntity;
import com.shcd.boat.entity.ShipSealOffPoints;
import com.shcd.boat.mapper.ShipSealOffPointsMapper;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.util.ObjectUtils;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@SpringBootTest
class BoatApplicationTests {

    @Autowired
    private SnowConfig snowflakeConfig;
    @Autowired
    private ShipSealOffPointsMapper offPointsMapper;
    @Autowired
    private RedisCache redisUtilTemplate;
    @Test
    void contextLoads() {
//        List<ShipSealOffPoints> sealOffPoints=new ArrayList<>();
//        ShipSealOffPoints offPoints=new ShipSealOffPoints();
//        offPoints.setId(snowflakeConfig.snowflakeStringId());
//        offPoints.setSealId(snowflakeConfig.snowflakeStringId());
//        offPoints.setSourceType("市港航");
//        offPoints.setMmsi("123456789");
//        offPoints.setShipName("123456789");
//        offPoints.setPointGeom("123 456");
//        offPoints.setAisTime(new Date());
//        offPoints.setPointJson("{sdasdasdasd}");
//        sealOffPoints.add(offPoints);
//        offPointsMapper.saveAll(sealOffPoints,3857);


        Object result = redisUtilTemplate.getCacheObject("413957409");
        if (!ObjectUtils.isEmpty(result)) {
            //已经在监控了
            //缓存需更新数据
            BoatInfoEntity redisData = JSON.parseObject((String) result, BoatInfoEntity.class);
            System.out.println(redisData);
        }
    }


}
